gnutls_session_get_id2(3)

NAME
gnutls_session_get_id2 - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_session_get_id2(gnutls_session_t session, gnutls_datum_t * session_id);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

gnutls_datum_t * session_id
    will point to the session ID.

DESCRIPTION
Returns the current session ID. The returned data should be treated as constant.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned.

SINCE
3.1.4

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/